clear all 

use C:\Users\landon5\Desktop\Customs2\LUDVIGCUST_2011_Imports, clear 
forv year = 2012/2015 { 
append using C:\Users\landon5\Desktop\Customs2\LUDVIGCUST_`year'_Imports.dta
}

drop if country=="ZA" | country=="20" | country=="26" | country=="A" | country=="C" | country=="D" | country=="J" | country=="NULL" | country=="S" 

bys OriginalMRN MRNDate TradeType CustomsValue TransactionValue AverageUnitPrice ItemNo PreferenceCode PurposeCode AgentCode TraderCode SupplierCode CountryOfOrigin CountryOfExport CountryOfDestination Tariff StatisticalQuantity StatisticalUnit DutyCalculationQuantity DutyCalculationUnit ClassificationQuantity ClassificationUnit CountableQuantityQuantity CountableQuantityUnit ActualPrice VATAmt CurrencyCode PartyRelationshipInd ValuationCode VATRegNo PartClearanceQuantity: gen N4 = _n

save C:\Users\landon5\Desktop\Customs2\relatedimports2, replace

rename TraderCode TradingCode
gen CUST_RefNo = TradingCode + "C" 
merge m:1 CUST_RefNo using "C:\Users\landon5\Desktop\Customs2\CUST_link1col.dta", keep(master matched) gen(merge_taxrefno) 

gen year= substr(OriginalMRN,4,4)

destring CustomsValue AverageUnitPrice ItemNo StatisticalQuantity  ActualPrice VATAmt, replace force

save C:\Users\landon5\Desktop\Customs2\relatedimports2, replace

gen Partydum=(Party=="R")

collapse (sum) CustomsValue ItemNo StatisticalQuantity  ActualPrice VATAmt (mean) AverageUnitPrice , by(CountryOfOrigin Tariff taxrefno year Partydum)

save annualvalues_with_r2311, replace




******country data for customs


use "C:\Users\landon5\Desktop\Customs2\mergeddata_SA_1507", replace
rename country CountryOfOrigin
drop if CountryOfOrigin==""
drop if year==2016
drop if year==2008

egen temp = group(CountryOfOrigin)
xtset temp year

foreach x in rgdpe rgdpo pop emp rtfpna pl_con pl_da {
replace `x' = L1.`x' if year ==2015
}

save countrydataforcustoms, replace

****** Country data merged in*****
use annualvalues_with_r2311, replace

destring year, replace

merge m:1 CountryOfOrigin year using  countrydataforcustoms, gen(merge) keep(master matched)

save annualvalues_with_r2311, replace

*********
use annualvalues_with_r2311, replace

rename CountryOfOrigin country

drop _merge
joinby year taxrefno using financialsforclausing, unmatched(master) _merge(merge2)

*****

gen price1 = CustomsValue/StatisticalQuantity

rename Tariff HS8

egen taxrefnum =group(taxrefno)

egen hs8 =group(HS8)
*egen hs4 =group(HS4)
egen hs8y=group(HS8 year)
egen countrynum =group(country) 
egen countryyear =group(country year) 
	
*egen hs4_taxrefno = group(taxrefno HS4)
egen hs8_taxrefno = group(taxrefno HS8)
*egen hs4_country= group(taxrefno HS4)
egen hs8_country= group(taxrefno HS8)


gen HS6= substr(HS8,1,6)
egen hs6 =group(HS6)
egen hs6y=group(HS6 year)
egen hs6_taxrefno = group(taxrefno HS6)
egen hs6_country= group(taxrefno HS6)



egen hs8_country_taxrefno= group(taxrefno HS8 country)

egen hs8_taxrefno_year= group(taxrefno HS8 year)

egen hs6_country_taxrefno= group(taxrefno HS6 country)


egen taxrefno_year=group(year taxrefno)
egen hs8_c_y =group(year hs8 country)
egen hs6_c_y =group(year hs6 country)



gen lngdpc=ln(rgdpo)
gen lnxr=ln(xr)
gen lnpop=ln(pop)

gen lnrout=ln(rout)
gen lnrva= ln(rva)
gen lnwage=ln(rwage)


gen lnprice1=ln(price1)

egen outlierprice99 = pctile(price1), p(99) by(HS8 year)
gen out=0 if price1<outlierprice99


gen t_KPMG= KPMG/100
egen help=sum(Partydum), by(country taxrefno)
gen Relatedcountry=(help>0)

sort taxrefno year
merge m:1 taxrefno using parentcountry_taxrefno

replace parentcountry=0 if parentcountry==.
gen subsidiary=Relatedcountry-parentcountry
gen sub_tax=subsidiary*t_KPMG
gen relatedally_tax= Relatedcountry*t_KPMG

gen p_haven=Partydum*haven

gen related_any=subsidiary+parentcountry
egen MNE=sum(related_any), by(taxrefno)
replace MNE=1 if MNE>0
replace MNE==0 if taxrefno==""

gen related_tax = related_any*t_KPMG

gen Partydum_tax= Partydum*t_KPMG 





gen parentcountry_tax= parentcountry*t_KPMG 
gen partyplussub= subsidiary*Partydum
gen partyplusparent= parentcountry*Partydum
gen ps_t=partyplussub*t_KPMG
gen pp_t=partyplusparent*t_KPMG

gen Partydum_lossmaking=lossmaking*Partydum

gen lowtaxc= (t_KPMG<=0.28)
gen hightaxc=(1-lowtaxc)
gen low_tax = lowtaxc*t_KPMG
gen high_tax = (1-lowtaxc)*t_KPMG


gen Partydum_hightaxc= hightaxc*Partydum
gen relatedc_hightaxc= hightaxc*related_any

gen Partydum_hightaxc_tax= hightaxc*Partydum*t_KPMG 
gen relatedc_hightaxc_tax= hightaxc*related_any*t_KPMG 

gen Partydum_lowtaxc= lowtaxc*Partydum
gen relatedc_lowtaxc= lowtaxc*related_any

gen Partydum_lowtaxc_tax= lowtaxc*Partydum*t_KPMG 
gen relatedc_lowtaxc_tax= lowtaxc*related_any*t_KPMG 

egen totvalue = sum (CustomsValue), by(taxrefno parentcountry year)





**graph with most traded products
drop temp
gen temp = 1
egen no_of_trades8=sum(temp), by(HS8 Partydum)
drop temp
sort no_of_trades
bro



by year: summ lnprice1 if Partydum==1 & haven==1
by year: summ lnprice1 if Partydum==1 & haven==0



drop merge2
merge m:1 country using dig2dig3, gen(merge2)
merge m:1 CountryCode year using WDI, gen(merge3)
merge m:1 CountryCode using distance, gen(merge4)
gen lnt=ln(1-t_KPMG)

gen wdilngdpc= ln(GDPpr)
gen wdilnxtr= ln(xtr)
gen wdilnpop= ln(popwdi)

foreach x in wdilnpop wdilnxtr wdilngdpc{
gen C_Partydum_`x'=`x'*Partydum

}



foreach x in lngdpc lnxr lnpop{
gen C_Partydum_`x'=`x'*Partydum

}

gen comb_lngdpc= lngdpc 
replace comb_lngdpc= wdilngdpc if lngdpc==.

gen comb_lnpop= lnpop
replace comb_lnpop= wdilnpop if lnpop==.

gen comb_lnxr= lnxr
replace comb_lnxr= wdilnxtr if lnxr==.

gen comb_lndist=logdist

foreach x in comb_lnpop comb_lnxr comb_lngdpc comb_lndist{
gen CComb_Partydum_`x'=`x'*Partydum
}



gen intrafirm_lnt_lnxr= C_Partydum_lnxr*lnt
gen Partydum_lnt=lnt*Partydum

gen HS2= substr(HS8,1,2)
destring HS2, replace force


egen wagebill_matchingvar_freq200=cut(x_labcost), group(200)

gen aux_Party=1 if Partydum==1
gen aux_no_Party=1 if Partydum==0 

egen count_aux_party=count(aux_Party), by(wagebill_matchingvar_freq200)
egen count_aux_noparty=count(aux_no_Party), by(wagebill_matchingvar_freq200)


gen weight1=count_aux_party/count_aux_noparty


merge m:1 taxrefno using "C:\Users\landon6\Desktop\Ludvig 21112017\Indirect evidence\havenlink", gen(merge5)
drop if merge5==2
replace parent_in_haven=0 if parent_in_haven==.
gen havenlink_partydum = parent_in_haven*Partydum



gen t_0_19=(t_KPMG<0.20)
gen t_20_24=(t_KPMG>=0.20 & t_KPMG<0.25)
gen t_25_29=(t_KPMG>=0.25 & t_KPMG<0.29)
gen t_30_34=(t_KPMG>=0.29 & t_KPMG<0.34)
gen t_35_=(t_KPMG>=0.34)

foreach var in t_0_19 t_20_24 t_25_29 t_30_34 t_35_{
gen Partydum_`var'=Partydum*`var'
}

gen lnunits =ln(StatisticalQuantity)
egen outlierunit99 = pctile(lnunits), p(99) by(HS8 year)
replace lnunits=. if outlierunit99<lnunits

gen lnvalue =ln(CustomsValue)
egen outliervalue99 = pctile(CustomsValue), p(99) by(HS8 year)
replace lnvalue=. if outliervalue99<lnvalue

sort taxrefno year
by taxrefno: gen count_n=_n

by taxrefno year: gen count_n_year=_n

egen tradingwithlowtax=sum(Partydum_lowtaxc), by(taxrefno)
replace tradingwithlowtax=1 if tradingwithlowtax>0 & tradingwithlowtax!=.





save finalclausing2, replace 
