
cd "I:\BR_EPIFR\1. Micro\UNU-WIDER Firm Level Project\Common\Ludvig\Clausing winter 2017"
use finalclausing2, clear

drop MNE 
egen MNE=sum(related_any), by(taxrefno)
replace MNE=1 if MNE>0
replace MNE=0 if taxrefno==""

*Table 1: Value of imports in related vs. unrelated transactions
*Customs value
by year: summ CustomsValue
by year: summ CustomsValue if Partydum==1


*Figure 2 + Appendix table A1:Tax variation:
tab CountryName, sum(t_KPMG) mean freq
tab CountryName if Partydum, sum(t_KPMG)  
histogram t_KPMG, fraction xline(0.28) xtitle("Corporate tax rate")
histogram t_KPMG if Partydum, fraction xline(0.28) xtitle("Corporate tax rate")


*Aux variables_
gen verylowtax=(t_KPMG<0.20)
gen veryhightax=(t_KPMG>0.30 & t_KPMG!=.)
egen tradingwithlowtax=sum(Partydum_lowtaxc), by(taxrefno)
replace tradingwithlowtax=1 if tradingwithlowtax>0 & tradingwithlowtax!=.

*Table 3: Related and unrelated avg. unit prices
tab Partydum lowtaxc if out==0, sum(lnprice1) mean


*Summary statistics


tabout year using clausingdescriptives.xls if Partydum_lowtaxc==1, sum c(sum CustomsValue mean CustomsValue  mean taxprof mean miningcompany mean financialfirm mean g_sales mean x_labcost mean j_total) f(4)
summ CustomsValue taxprof if Partydum_lowtaxc==1, d
tabout year using clausingdescriptives.xls if tradingwithlowtax==1 & count_n_year==1, append sum c(sum taxprof count taxprof) f(4)
tabout year using clausingdescriptives.xls if MNE==1 & count_n_year==1, append sum c(sum taxprof count taxprof) f(4)
tabout year using clausingdescriptives.xls if count_n_year==1, append sum c(sum taxprof count taxprof) f(4)
sum parentcountry Partydum_parentcountry Partydum_a Partydum_parent_a a Relatedcountry relatedc_lowtaxc relatedally_tax
sum Relatedcountry relatedc_lowtaxc relatedally_tax MNE
summ parentcountry Partydum Partydum_lowtaxc Relatedcountry relatedc_lowtaxc relatedally_tax  if MNE==1
summ parentcountry lowtaxc  if Partydum
sum lnprice1 price1 Partydum Partydum_lowtaxc lowtaxc CustomsValue StatisticalQuantity Relatedcountry haven p_haven parentcountry relatedally_tax relatedc_lowtaxc lnrout lnwage comb_lngdpc comb_lnpop comb_lnxr CComb_Partydum_comb_lnpop CComb_Partydum_comb_lnxr CComb_Partydum_comb_lngdpc comb_lndist CComb_Partydum_lndist Partydum_t_0_19 Partydum_t_20_24 Partydum_t_25_29 Partydum_t_30_34 Partydum_t_35_ t_0_19 t_20_24 t_25_29 t_30_34 t_35_ 
sum lnprice1 price1 Partydum Partydum_lowtaxc lowtaxc CustomsValue StatisticalQuantity Relatedcountry haven p_haven parentcountry relatedally_tax relatedc_lowtaxc lnrout lnwage comb_lngdpc comb_lnpop comb_lnxr CComb_Partydum_comb_lnpop CComb_Partydum_comb_lnxr CComb_Partydum_comb_lngdpc comb_lndist CComb_Partydum_lndist Partydum_t_0_19 Partydum_t_20_24 Partydum_t_25_29 Partydum_t_30_34 Partydum_t_35_ t_0_19 t_20_24 t_25_29 t_30_34 t_35_ if MNE==1 
sum lnprice1 price1 Partydum Partydum_lowtaxc lowtaxc CustomsValue StatisticalQuantity Relatedcountry haven p_haven parentcountry relatedally_tax relatedc_lowtaxc lnrout lnwage comb_lngdpc comb_lnpop comb_lnxr CComb_Partydum_comb_lnpop CComb_Partydum_comb_lnxr CComb_Partydum_comb_lngdpc comb_lndist CComb_Partydum_lndist Partydum_t_0_19 Partydum_t_20_24 Partydum_t_25_29 Partydum_t_30_34 Partydum_t_35_ t_0_19 t_20_24 t_25_29 t_30_34 t_35_ if MNE==0
sum lnprice1 price1 Partydum Partydum_lowtaxc lowtaxc CustomsValue StatisticalQuantity Relatedcountry haven p_haven parentcountry relatedally_tax relatedc_lowtaxc lnrout lnwage comb_lngdpc comb_lnpop comb_lnxr CComb_Partydum_comb_lnpop CComb_Partydum_comb_lnxr CComb_Partydum_comb_lngdpc comb_lndist CComb_Partydum_lndist Partydum_t_0_19 Partydum_t_20_24 Partydum_t_25_29 Partydum_t_30_34 Partydum_t_35_ t_0_19 t_20_24 t_25_29 t_30_34 t_35_ if Partydum==1
sum lnprice1 price1 Partydum Partydum_lowtaxc lowtaxc CustomsValue StatisticalQuantity Relatedcountry haven p_haven parentcountry relatedally_tax relatedc_lowtaxc lnrout lnwage comb_lngdpc comb_lnpop comb_lnxr CComb_Partydum_comb_lnpop CComb_Partydum_comb_lnxr CComb_Partydum_comb_lngdpc comb_lndist CComb_Partydum_lndist Partydum_t_0_19 Partydum_t_20_24 Partydum_t_25_29 Partydum_t_30_34 Partydum_t_35_ t_0_19 t_20_24 t_25_29 t_30_34 t_35_ if Partydum==0
sum lnprice1 price1 Partydum Partydum_lowtaxc lowtaxc CustomsValue StatisticalQuantity Relatedcountry haven p_haven parentcountry relatedally_tax relatedc_lowtaxc lnrout lnwage comb_lngdpc comb_lnpop comb_lnxr CComb_Partydum_comb_lnpop CComb_Partydum_comb_lnxr CComb_Partydum_comb_lngdpc comb_lndist CComb_Partydum_lndist Partydum_t_0_19 Partydum_t_20_24 Partydum_t_25_29 Partydum_t_30_34 Partydum_t_35_ t_0_19 t_20_24 t_25_29 t_30_34 t_35_ if parentcountry==1
sum lnprice1 price1 Partydum Partydum_lowtaxc lowtaxc CustomsValue StatisticalQuantity Relatedcountry haven p_haven parentcountry relatedally_tax relatedc_lowtaxc lnrout lnwage comb_lngdpc comb_lnpop comb_lnxr CComb_Partydum_comb_lnpop CComb_Partydum_comb_lnxr CComb_Partydum_comb_lngdpc comb_lndist CComb_Partydum_lndist Partydum_t_0_19 Partydum_t_20_24 Partydum_t_25_29 Partydum_t_30_34 Partydum_t_35_ t_0_19 t_20_24 t_25_29 t_30_34 t_35_ if parentcountry==0



*Data for figure 3:


drop if country=="ZA" | country=="20" | country=="26" | country=="A" | country=="C" | country=="D" | country=="J" | country=="NULL" | country=="S" 



postfile pas2 reg Partydum lowtaxc Partydum_lowtaxc sPartydum slowtaxc sPartydum_lowtaxc using test2.dta,replace
reg lnprice1 Partydum lowtaxc Partydum_lowtaxc if out==0, cluster(countryyear)
post pas2 (1) (_b[Partydum]) (_b[lowtaxc]) (_b[Partydum_lowtaxc]) (_se[Partydum]) (_se[lowtaxc]) (_se[Partydum_lowtaxc])
reg lnprice1 Partydum lowtaxc Partydum_lowtaxc if out==0 & HS8=="39269090"
post pas2 (2) (_b[Partydum]) (_b[lowtaxc]) (_b[Partydum_lowtaxc]) (_se[Partydum]) (_se[lowtaxc]) (_se[Partydum_lowtaxc])
reg lnprice1 Partydum lowtaxc Partydum_lowtaxc if out==0 & HS8=="49019900", cluster(countryyear)
post pas2 (3) (_b[Partydum]) (_b[lowtaxc]) (_b[Partydum_lowtaxc]) (_se[Partydum]) (_se[lowtaxc]) (_se[Partydum_lowtaxc])
reg lnprice1 Partydum lowtaxc Partydum_lowtaxc if out==0 & HS8=="85044000", cluster(countryyear)
post pas2 (4) (_b[Partydum]) (_b[lowtaxc]) (_b[Partydum_lowtaxc]) (_se[Partydum]) (_se[lowtaxc]) (_se[Partydum_lowtaxc])
reg lnprice1 Partydum lowtaxc Partydum_lowtaxc if out==0 & HS8=="73269090", cluster(countryyear)
post pas2 (5) (_b[Partydum]) (_b[lowtaxc]) (_b[Partydum_lowtaxc]) (_se[Partydum]) (_se[lowtaxc]) (_se[Partydum_lowtaxc])
reg lnprice1 Partydum lowtaxc Partydum_lowtaxc if out==0 & HS8=="73181590", cluster(countryyear)
post pas2 (6) (_b[Partydum]) (_b[lowtaxc]) (_b[Partydum_lowtaxc]) (_se[Partydum]) (_se[lowtaxc]) (_se[Partydum_lowtaxc])
reg lnprice1 Partydum lowtaxc Partydum_lowtaxc if out==0 & HS8=="85444290", cluster(countryyear)
post pas2 (7) (_b[Partydum]) (_b[lowtaxc]) (_b[Partydum_lowtaxc]) (_se[Partydum]) (_se[lowtaxc]) (_se[Partydum_lowtaxc])
reg lnprice1 Partydum lowtaxc Partydum_lowtaxc if out==0 & HS8=="40169310", cluster(countryyear)
post pas2 (8) (_b[Partydum]) (_b[lowtaxc]) (_b[Partydum_lowtaxc]) (_se[Partydum]) (_se[lowtaxc]) (_se[Partydum_lowtaxc])
reg lnprice1 Partydum lowtaxc Partydum_lowtaxc if out==0 & HS8=="84818090", cluster(countryyear)
post pas2 (9) (_b[Partydum]) (_b[lowtaxc]) (_b[Partydum_lowtaxc]) (_se[Partydum]) (_se[lowtaxc]) (_se[Partydum_lowtaxc])
reg lnprice1 Partydum lowtaxc Partydum_lowtaxc if out==0 & HS8=="84799000", cluster(countryyear)
post pas2 (10) (_b[Partydum]) (_b[lowtaxc]) (_b[Partydum_lowtaxc]) (_se[Partydum]) (_se[lowtaxc]) (_se[Partydum_lowtaxc])
reg lnprice1 Partydum lowtaxc Partydum_lowtaxc if out==0 & HS8=="40169390", cluster(countryyear)
post pas2 (11) (_b[Partydum]) (_b[lowtaxc]) (_b[Partydum_lowtaxc]) (_se[Partydum]) (_se[lowtaxc]) (_se[Partydum_lowtaxc])
reg lnprice1 Partydum lowtaxc Partydum_lowtaxc if out==0 & HS8=="90318000", cluster(countryyear)
post pas2 (12) (_b[Partydum]) (_b[lowtaxc]) (_b[Partydum_lowtaxc]) (_se[Partydum]) (_se[lowtaxc]) (_se[Partydum_lowtaxc])
reg lnprice1 Partydum lowtaxc Partydum_lowtaxc if out==0 & HS8=="85365090", cluster(countryyear)
post pas2 (13) (_b[Partydum]) (_b[lowtaxc]) (_b[Partydum_lowtaxc]) (_se[Partydum]) (_se[lowtaxc]) (_se[Partydum_lowtaxc])  
postclose pas2

post `diffndiff' (_b[Partydum]) (_b[lowtaxc]) (_b[Partydum_lowtaxc]) (_se[Partydum]) (_se[lowtaxc]) (_se[Partydum_lowtaxc]) 
tab Partydum cat_t if out==0, sum(lnprice1) mean
tab Partydum if t_KPMG<0.23, sum(lnprice1) mean
tab Partydum if t_KPMG>0.32 & t_KPMG!=., sum(lnprice1) mean


**examples
gen temp = 1
egen no_of_trades8=sum(temp), by(HS8 Partydum)
drop temp
sort no_of_trades
bro



tab lowtaxc Partydum if out==0 & HS8=="39269090", sum(lnprice1) mean nostandard 
tab lowtaxc Partydum if out==0 & HS8=="49019900", sum(lnprice1) mean nostandard
tab lowtaxc Partydum if out==0 & HS8=="85044000", sum(lnprice1) mean nostandard
tab lowtaxc Partydum if out==0 & HS8=="73269090", sum(lnprice1) mean nostandard
tab lowtaxc Partydum if out==0 & HS8=="73181590", sum(lnprice1) mean nostandard
tab lowtaxc Partydum if out==0 & HS8=="85444290", sum(lnprice1) mean nostandard
tab lowtaxc Partydum if out==0 & HS8=="40169310", sum(lnprice1) mean nostandard
tab lowtaxc Partydum if out==0 & HS8=="84818090", sum(lnprice1) mean nostandard
tab lowtaxc Partydum if out==0 & HS8=="84799000", sum(lnprice1) mean nostandard
tab lowtaxc Partydum if out==0 & HS8=="40169390", sum(lnprice1) mean nostandard
tab lowtaxc Partydum if out==0 & HS8=="90318000", sum(lnprice1) mean nostandard
tab lowtaxc Partydum if out==0 & HS8=="85365090", sum(lnprice1) mean nostandard


tab lowtaxc Partydum if out==0 & HS8=="39269090"
tab lowtaxc Partydum if out==0 & HS8=="49019900"
tab lowtaxc Partydum if out==0 & HS8=="85044000"
tab lowtaxc Partydum if out==0 & HS8=="73269090"
tab lowtaxc Partydum if out==0 & HS8=="73181590"
tab lowtaxc Partydum if out==0 & HS8=="85444290"
tab lowtaxc Partydum if out==0 & HS8=="40169310"
tab lowtaxc Partydum if out==0 & HS8=="84818090"
tab lowtaxc Partydum if out==0 & HS8=="84799000"
tab lowtaxc Partydum if out==0 & HS8=="40169390"
tab lowtaxc Partydum if out==0 & HS8=="90318000"
tab lowtaxc Partydum if out==0 & HS8=="85365090"



*Basic results for table 4a + creating weights for robustness check

{ /*weighting/matching*/
reg lnprice1 lowtaxc Partydum Partydum_lowtaxc CComb* comb_* lnrout lnwage i.year, cluster(countryyear)
outreg2 using "lowtaxwdi.xls"
gen aux_Party=1 if Partydum==1 & e(sample)
gen aux_no_Party=1 if Partydum==0 & e(sample)
egen count_aux_party=count(aux_Party), by(wagebill_matchingvar_freq200)
egen count_aux_noparty=count(aux_no_Party), by(wagebill_matchingvar_freq200)
gen weight1=count_aux_party/count_aux_noparty
drop aux_Party aux_no_Party count_aux*

areg lnprice1 lowtaxc Partydum Partydum_lowtaxc CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(hs8)
outreg2 using "lowtaxwdi.xls"
gen aux_Party=1 if Partydum==1 & e(sample)
gen aux_no_Party=1 if Partydum==0 & e(sample)
egen count_aux_party=count(aux_Party), by(wagebill_matchingvar_freq200)
egen count_aux_noparty=count(aux_no_Party), by(wagebill_matchingvar_freq200)
gen weight2=count_aux_party/count_aux_noparty
drop aux_Party aux_no_Party count_aux*

areg lnprice1 lowtaxc Partydum Partydum_lowtaxc CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(hs8y)
outreg2 using "lowtaxwdi.xls"

gen aux_Party=1 if Partydum==1 & e(sample)
gen aux_no_Party=1 if Partydum==0 & e(sample)
egen count_aux_party=count(aux_Party), by(wagebill_matchingvar_freq200)
egen count_aux_noparty=count(aux_no_Party), by(wagebill_matchingvar_freq200)
gen weight3=count_aux_party/count_aux_noparty
drop aux_Party aux_no_Party count_aux*

areg lnprice1 lowtaxc Partydum Partydum_lowtaxc CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(taxrefno)
outreg2 using "lowtaxwdi.xls"

gen aux_Party=1 if Partydum==1 & e(sample)
gen aux_no_Party=1 if Partydum==0 & e(sample)
egen count_aux_party=count(aux_Party), by(wagebill_matchingvar_freq200)
egen count_aux_noparty=count(aux_no_Party), by(wagebill_matchingvar_freq200)
gen weight4=count_aux_party/count_aux_noparty
drop aux_Party aux_no_Party count_aux*

areg lnprice1 lowtaxc Partydum Partydum_lowtaxc CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(taxrefno_year)
outreg2 using "lowtaxwdi.xls"

gen aux_Party=1 if Partydum==1 & e(sample)
gen aux_no_Party=1 if Partydum==0 & e(sample)
egen count_aux_party=count(aux_Party), by(wagebill_matchingvar_freq200)
egen count_aux_noparty=count(aux_no_Party), by(wagebill_matchingvar_freq200)
gen weight5=count_aux_party/count_aux_noparty
drop aux_Party aux_no_Party count_aux*

reghdfe lnprice1 lowtaxc Partydum Partydum_lowtaxc CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(taxrefno_year hs8_country)
outreg2 using "lowtaxwdi.xls"

gen aux_Party=1 if Partydum==1 & e(sample)
gen aux_no_Party=1 if Partydum==0 & e(sample)
egen count_aux_party=count(aux_Party), by(wagebill_matchingvar_freq200)
egen count_aux_noparty=count(aux_no_Party), by(wagebill_matchingvar_freq200)
gen weight6=count_aux_party/count_aux_noparty
drop aux_Party aux_no_Party count_aux*

reghdfe lnprice1 lowtaxc Partydum Partydum_lowtaxc CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(taxrefno_year countryyear hs8_country hs8y)
outreg2 using "lowtaxwdi.xls"

gen aux_Party=1 if Partydum==1 & e(sample)
gen aux_no_Party=1 if Partydum==0 & e(sample)
egen count_aux_party=count(aux_Party), by(wagebill_matchingvar_freq200)
egen count_aux_noparty=count(aux_no_Party), by(wagebill_matchingvar_freq200)
gen weight7=count_aux_party/count_aux_noparty
drop aux_Party aux_no_Party count_aux*

areg lnprice1 lowtaxc Partydum Partydum_lowtaxc  CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(hs8_taxrefno)
outreg2 using "lowtaxwdi.xls"

gen aux_Party=1 if Partydum==1 & e(sample)
gen aux_no_Party=1 if Partydum==0 & e(sample)
egen count_aux_party=count(aux_Party), by(wagebill_matchingvar_freq200)
egen count_aux_noparty=count(aux_no_Party), by(wagebill_matchingvar_freq200)
gen weight8=count_aux_party/count_aux_noparty
drop aux_Party aux_no_Party count_aux*

reghdfe lnprice1 lowtaxc Partydum Partydum_lowtaxc  CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(hs8_taxrefno hs8y)
outreg2 using "lowtaxwdi.xls"

gen aux_Party=1 if Partydum==1 & e(sample)
gen aux_no_Party=1 if Partydum==0 & e(sample)
egen count_aux_party=count(aux_Party), by(wagebill_matchingvar_freq200)
egen count_aux_noparty=count(aux_no_Party), by(wagebill_matchingvar_freq200)
gen weight9=count_aux_party/count_aux_noparty
drop aux_Party aux_no_Party count_aux*

reghdfe lnprice1 Partydum Partydum_lowtaxc lnrout lnwage CComb* if out==0, cluster(countryyear) a(hs8_taxrefno hs8y countryyear)
outreg2 using "lowtaxwdi.xls"

gen aux_Party=1 if Partydum==1 & e(sample)
gen aux_no_Party=1 if Partydum==0 & e(sample)
egen count_aux_party=count(aux_Party), by(wagebill_matchingvar_freq200)
egen count_aux_noparty=count(aux_no_Party), by(wagebill_matchingvar_freq200)
gen weight10=count_aux_party/count_aux_noparty
drop aux_Party aux_no_Party count_aux*

reghdfe lnprice1 Partydum Partydum_lowtaxc CComb* if out==0, cluster(countryyear) a(hs8_taxrefno hs8y countryyear taxrefno_year)
outreg2 using "lowtaxwdi.xls"

gen aux_Party=1 if Partydum==1 & e(sample)
gen aux_no_Party=1 if Partydum==0 & e(sample)
egen count_aux_party=count(aux_Party), by(wagebill_matchingvar_freq200)
egen count_aux_noparty=count(aux_no_Party), by(wagebill_matchingvar_freq200)
gen weight11=count_aux_party/count_aux_noparty
drop aux_Party aux_no_Party count_aux*

reghdfe lnprice1 Partydum Partydum_lowtaxc CComb* if out==0, cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "lowtaxwdi.xls"
gen aux_Party=1 if Partydum==1 & e(sample)
gen aux_no_Party=1 if Partydum==0 & e(sample)
egen count_aux_party=count(aux_Party), by(wagebill_matchingvar_freq200)
egen count_aux_noparty=count(aux_no_Party), by(wagebill_matchingvar_freq200)
gen weight12=count_aux_party/count_aux_noparty
drop aux_Party aux_no_Party count_aux*
}

*Robustness check by weighting observations according to customs value (Table A4c)
reg lnprice1 lowtaxc Partydum Partydum_lowtaxc CComb* comb_* lnrout lnwage i.year [aw=weight1], cluster(countryyear)
outreg2 using "lowtaxwdimatched.xls"
areg lnprice1 lowtaxc Partydum Partydum_lowtaxc CComb* comb_* lnrout lnwage i.year [aw=weight2] if out==0, cluster(countryyear) a(hs8)
outreg2 using "lowtaxwdimatched.xls"
areg lnprice1 lowtaxc Partydum Partydum_lowtaxc p_haven CComb* comb_* lnrout lnwage i.year [aw=weight3] if out==0, cluster(countryyear) a(hs8y)
outreg2 using "lowtaxwdimatched.xls"
areg lnprice1 lowtaxc Partydum Partydum_lowtaxc CComb* comb_* lnrout lnwage i.year [aw=weight4] if out==0, cluster(countryyear) a(taxrefno)
outreg2 using "lowtaxwdimatched.xls"
areg lnprice1 lowtaxc Partydum Partydum_lowtaxc CComb* comb_* lnrout lnwage i.year [aw=weight5] if out==0, cluster(countryyear) a(taxrefno_year)
outreg2 using "lowtaxwdimatched.xls"
reghdfe lnprice1 lowtaxc Partydum Partydum_lowtaxc CComb* comb_* lnrout lnwage i.year [aw=weight6] if out==0, cluster(countryyear) a(taxrefno_year hs8_country)
outreg2 using "lowtaxwdimatched.xls"
reghdfe lnprice1 lowtaxc Partydum Partydum_lowtaxc CComb* comb_* lnrout lnwage i.year [aw=weight7] if out==0, cluster(countryyear) a(taxrefno_year countryyear hs8_country hs8y)
outreg2 using "lowtaxwdimatched.xls"
areg lnprice1 lowtaxc Partydum Partydum_lowtaxc CComb* comb_* lnrout lnwage i.year [aw=weight8] if out==0, cluster(countryyear) a(hs8_taxrefno)
outreg2 using "lowtaxwdimatched.xls"
reghdfe lnprice1 lowtaxc Partydum Partydum_lowtaxc  CComb* comb_* lnrout lnwage i.year [aw=weight9] if out==0, cluster(countryyear) a(hs8_taxrefno hs8y)
outreg2 using "lowtaxwdimatched.xls"
reghdfe lnprice1 Partydum Partydum_lowtaxc lnrout lnwage CComb* [aw=weight10] if out==0, cluster(countryyear) a(hs8_taxrefno hs8y countryyear)
outreg2 using "lowtaxwdimatched.xls"
reghdfe lnprice1 Partydum Partydum_lowtaxc CComb* [aw=weight11] if out==0, cluster(countryyear) a(hs8_taxrefno hs8y countryyear taxrefno_year)
outreg2 using "lowtaxwdimatched.xls"
reghdfe lnprice1 Partydum Partydum_lowtaxc CComb* [aw=weight12] if out==0, cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "lowtaxwdimatched.xls"







reg lnprice1 lowtaxc Partydum Partydum_lowtaxc related_any relatedc_lowtaxc haven p_haven CComb* comb_* lnrout lnwage i.year, cluster(countryyear)
outreg2 using "lowtaxwdi.xls"
areg lnprice1 lowtaxc Partydum Partydum_lowtaxc related_any relatedc_lowtaxc haven p_haven CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(hs8y)
outreg2 using "lowtaxwdi.xls"
areg lnprice1 lowtaxc Partydum Partydum_lowtaxc related_any relatedc_lowtaxc haven p_haven CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(taxrefno)
outreg2 using "lowtaxwdi.xls"
areg lnprice1 lowtaxc Partydum Partydum_lowtaxc related_any relatedc_lowtaxc haven p_haven CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(taxrefno_year)
outreg2 using "lowtaxwdi.xls"
reghdfe lnprice1 lowtaxc Partydum Partydum_lowtaxc related_any relatedc_lowtaxc haven p_haven CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(taxrefno_year hs8_country)
outreg2 using "lowtaxwdi.xls"
reghdfe lnprice1 lowtaxc Partydum Partydum_lowtaxc related_any relatedc_lowtaxc haven p_haven CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(taxrefno_year countryyear hs8_country hs8y)
outreg2 using "lowtaxwdi.xls"
areg lnprice1 lowtaxc Partydum Partydum_lowtaxc related_any relatedc_lowtaxc haven p_haven  CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(hs8_taxrefno)
outreg2 using "lowtaxwdi.xls"
reghdfe lnprice1 lowtaxc Partydum Partydum_lowtaxc related_any relatedc_lowtaxc haven p_haven  CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(hs8_taxrefno hs8y)
outreg2 using "lowtaxwdi.xls"
reghdfe lnprice1 Partydum Partydum_lowtaxc related_any relatedc_lowtaxc lnrout haven p_haven CComb* lnwage if out==0, cluster(countryyear) a(hs8_taxrefno hs8y countryyear)
outreg2 using "lowtaxwdi.xls"
reghdfe lnprice1 Partydum Partydum_lowtaxc related_any relatedc_lowtaxc haven p_haven CComb* if out==0, cluster(countryyear) a(hs8_taxrefno hs8y countryyear taxrefno_year)
outreg2 using "lowtaxwdi.xls"
reghdfe lnprice1 Partydum Partydum_lowtaxc related_any relatedc_lowtaxc haven p_haven CComb* if out==0, cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "lowtaxwdi.xls"



drop MNE 
egen MNE=sum(related_any), by(taxrefno)
replace MNE=1 if MNE>0
replace MNE=0 if taxrefno==""

egen parent=total(parentcountry), by(taxrefno)
replace parent=(parent>0) /*note parent==1 means that there is a foreign parent i.e. parent==0 implies that the SA entity is the parent*/

*Table 4b: basic results

reg lnprice1 t_KPMG Partydum Partydum_tax  CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear)
outreg2 using "basicwdi.xls"
areg lnprice1 t_KPMG Partydum Partydum_tax  CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(hs8)
outreg2 using "basicwdi.xls"
areg lnprice1 t_KPMG Partydum Partydum_tax  CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(hs8y)
outreg2 using "basicwdi.xls"
areg lnprice1 t_KPMG Partydum Partydum_tax  CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(taxrefno)
outreg2 using "basicwdi.xls"
areg lnprice1 t_KPMG Partydum Partydum_tax  CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(taxrefno_year)
outreg2 using "basicwdi.xls"
reghdfe lnprice1 Partydum Partydum_tax CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(taxrefno_year hs8_country)
outreg2 using "basicwdi.xls"
reghdfe lnprice1 Partydum Partydum_tax CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(taxrefno_year countryyear hs8_country hs8y)
outreg2 using "basicwdi.xls"
areg lnprice1 t_KPMG Partydum Partydum_tax  CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(hs8_taxrefno)
outreg2 using "basicwdi.xls"
reghdfe lnprice1 t_KPMG Partydum Partydum_tax  CComb* comb_* lnrout lnwage i.year if out==0, cluster(countryyear) a(hs8_taxrefno hs8y)
outreg2 using "basicwdi.xls"
reghdfe lnprice1 Partydum Partydum_tax  CComb* lnrout lnwage if out==0, cluster(countryyear) a(hs8_taxrefno hs8y countryyear)
outreg2 using "basicwdi.xls"
reghdfe lnprice1 Partydum Partydum_tax  CComb* if out==0, cluster(countryyear) a(hs8_taxrefno hs8y countryyear taxrefno_year)
outreg2 using "basicwdi.xls"
reghdfe lnprice1 Partydum Partydum_tax  CComb* if out==0, cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "basicwdi.xls"


*Table A4d: MNE only & control for whether subsidiary is in country

reg lnprice1 lowtaxc Partydum Partydum_lowtaxc related_any relatedc_lowtaxc CComb* comb_* lnrout lnwage i.year, cluster(countryyear)
outreg2 using "MNE.xls"
areg lnprice1 lowtaxc Partydum Partydum_lowtaxc related_any relatedc_lowtaxc CComb* comb_* lnrout lnwage i.year if out==0 & MNE==1, cluster(countryyear) a(hs8)
outreg2 using "MNE.xls"
areg lnprice1 lowtaxc Partydum Partydum_lowtaxc related_any relatedc_lowtaxc CComb* comb_* lnrout lnwage i.year if out==0 & MNE==1, cluster(countryyear) a(hs8y)
outreg2 using "MNE.xls"
areg lnprice1 lowtaxc Partydum Partydum_lowtaxc related_any relatedc_lowtaxc CComb* comb_* lnrout lnwage i.year if out==0 & MNE==1, cluster(countryyear) a(taxrefno)
outreg2 using "MNE.xls"
areg lnprice1 lowtaxc Partydum Partydum_lowtaxc related_any relatedc_lowtaxc CComb* comb_* lnrout lnwage i.year if out==0 & MNE==1, cluster(countryyear) a(taxrefno_year)
outreg2 using "MNE.xls"
reghdfe lnprice1 Partydum Partydum_lowtaxc CComb* relatedc_lowtaxc comb_* lnrout lnwage i.year if out==0 & MNE==1, cluster(countryyear) a(taxrefno_year hs8_country)
outreg2 using "MNE.xls"
reghdfe lnprice1 Partydum Partydum_lowtaxc CComb* relatedc_lowtaxc comb_* lnrout lnwage i.year if out==0 & MNE==1, cluster(countryyear) a(taxrefno_year countryyear hs8_country hs8y)
outreg2 using "MNE.xls"
areg lnprice1 lowtaxc Partydum Partydum_lowtaxc relatedc_lowtaxc CComb* comb_* lnrout lnwage i.year if out==0 & MNE==1, cluster(countryyear) a(hs8_taxrefno)
outreg2 using "MNE.xls"
reghdfe lnprice1 lowtaxc Partydum Partydum_lowtaxc relatedc_lowtaxc CComb* comb_* lnrout lnwage i.year if out==0 & MNE==1, cluster(countryyear) a(hs8_taxrefno hs8y)
outreg2 using "MNE.xls"
reghdfe lnprice1 Partydum Partydum_lowtaxc relatedc_lowtaxc lnrout CComb* lnwage if out==0 & MNE==1, cluster(countryyear) a(hs8_taxrefno hs8y countryyear)
outreg2 using "MNE.xls"
reghdfe lnprice1 Partydum Partydum_lowtaxc relatedc_lowtaxc CComb* if out==0 & MNE==1, cluster(countryyear) a(hs8_taxrefno hs8y countryyear taxrefno_year)
outreg2 using "MNE.xls"
reghdfe lnprice1 Partydum Partydum_lowtaxc relatedc_lowtaxc CComb* if out==0 & MNE==1, cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "MNE.xls"


* Table 5: Drivers of transfer mispricing


reghdfe lnprice1 Partydum c.Partydum_tax##parent  CComb* if out==0, cluster(countryyear) a(hs8_taxrefno hs8y countryyear taxrefno_year)
outreg2 using "Driverdummies.xls", ctitle("parent")

reghdfe lnprice1 Partydum c.Partydum_tax##differentiated CComb* if out==0, cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "Driverdummies.xls"

reghdfe lnprice1 Partydum c.Partydum_tax##leverage2abovemedian CComb* if out==0, cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "Driverdummies.xls"

reghdfe lnprice1 Partydum c.Partydum_tax##miningcompany  CComb* if out==0, cluster(countryyear) a(taxrefno_year hs8_country)
outreg2 using "Driverdummies.xls"

sum x_royalt, d
gen x_royaltabovemedian=(x_royalt>`r(p50)' & x_royalt!=.)

reghdfe lnprice1 Partydum c.Partydum_tax##x_royaltabovemedian CComb* if out==0 & year>2014, cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "Driverdummies.xls"

reghdfe lnprice1 Partydum c.Partydum_tax##g_sales_2 CComb* if out==0, cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "Driverdummies.xls"

reghdfe lnprice1 Partydum c.Partydum_tax##OECD CComb* if out==0, cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "Driverdummies.xls"



* Table 6: Other tax incentives for transfer price manipulation




reghdfe lnprice1 Partydum p_haven CComb* if out==0, cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "otherdrivers.xls"

reghdfe lnprice1 Partydum Partydum_tax p_haven CComb* if out==0, cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "otherdrivers.xls"

reghdfe lnprice1 Partydum Partydum_lossmaking CComb* if out==0, cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "otherdrivers.xls"

foreach x in div_wht_quali interest_wht royalties_wht {

reghdfe lnprice1 Partydum Partydum_tax Partydum_`x' CComb*  if out==0, cluster(countryyear) a(hs8_taxrefno hs8y countryyear taxrefno_year)
outreg2 using "otherdrivers.xls"


}





* Figure 6: Unparametric fit of tax curve

egen taxcut6oldv2=cut(t_KPMG), group(6)
tab taxcut6oldv2, sum(t_KPMG)

forvalues x=0/5{
sum t_KPMG if taxcut6oldv2==`x', detail
}

replace taxcut6oldv2=taxcut6oldv2*Partydum
reghdfe lnprice1 ib5.taxcut6oldv2 CComb* if out==0, cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "Yearly2.xls"




*Appendix figure A6: Unparametric fit (only SA headquartered firms)

replace taxcut6oldv2=taxcut6oldv2*Partydum
reghdfe lnprice1 ib5.taxcut6oldv2 CComb* if out==0 & parent==0, cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "Yearly2.xls"



***Figure 7 = quadratic semi-elasticities
gen Partydum_taxsq=Partydum_tax^2

reghdfe lnprice1 Partydum Partydum_tax Partydum_taxsq CComb* if out==0 & parent==0, cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "quadratic.xls", ctitle("not parent")

reghdfe lnprice1 Partydum Partydum_tax Partydum_taxsq CComb* if out==0 & parent==1, cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "quadratic.xls", ctitle("parent")



* Table 8: Evaluation of a transfer pricing reform in April 2012
forvalues y=2011/2015 {
reghdfe lnprice1 Partydum Partydum_tax CComb* if out==0 & year==`y', cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "year.xls"

}


* Figure 8: Unparametric evaluation of a transfer pricing reform in April 2012

forvalues x=2011/2015 {
reghdfe lnprice1 ib5.taxcut6oldv2 CComb* if out==0 & year==`x', cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "Yearly2.xls"
}

* Appendix Figure 8: Unparametric evaluation of a transfer pricing reform in April 2012 (only SA headquartered firms)
forvalues x=2011/2015 {
reghdfe lnprice1 ib5.taxcut6oldv2 CComb* if out==0 & year==`x' & parent==0, cluster(countryyear) a(hs8_taxrefno hs8y hs8_country countryyear taxrefno_year)
outreg2 using "Yearly2.xls"
}



*Summarizing transactions by country for descriptive statistics section on set of comparable transactions
egen hs8ycountry=group(hs8 year country)
sort hs8ycountry
gen one=1
by hs8ycountry: gen firstobs= _n
gen RelatedValue=CustomsValue*Partydum
egen totalrelated_hs8ycou=sum(Partydum), by(hs8ycountry)
egen valuerelated_hs8ycou=sum(RelatedValue), by(hs8ycountry)
egen total_hs8ycou=sum(one), by(hs8ycountry)
egen valuetotal_hs8ycou=sum(CustomsValue), by(hs8ycountry)
keep if firstobs==1
keep hs8 year country t_KPMG countrynum totalrelated total_hs8ycou valuerelated_hs8ycou valuetotal_hs8ycou
save hs8couyear, replace
